Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Sat, 03 Jan 2015 23:37:57 +0200

On 12/31/2014 12:58 AM, Helmut Eller wrote:

> My suggestion would be to stay away from window management as much as you
> can because it's very difficult to get it right.

I agree it can be a minefield, so if anyone sees a case that's 
particularly difficult to handle this way, please let me know.

> q followed by M-, usually brings back the original window configuration.

Only it doesn't exactly work that way if there are more than two 
windows, because we open the xrefs' buffers in the "other window" in 
reference to the *xrefs* window, and that's not the original window.

We could try to always use the original window for that, but that would 
be more limiting (why not use different windows, if they are available?).

If someone really dislikes the current behavior, we can go that way, but 
for now I've installed some of the already mentioned minor tweaks 
(5496236583e22bce185650988a1ae675216e883e).